TMPFILE=$(mktemp) 

function get_ci_message()
{
    perl -nle 'if(/^---/) { exit; }; if (/^Subject:/ ... /^---/) { if (/^Subject: \[PATCH\] (.*)$/) {print $1} else {print} }' $1 > $TMPFILE
}

for i in 000*.patch;
do
    echo
    echo "Applying patch $i"
    echo

    patch -p1 -i $i;
    get_ci_message $i;

    echo "Commit Message für diesen Patch:"
    cat $TMPFILE;

    echo
    echo
    echo "Soll der Patch mit dieser Commit-Message eingecheckt werden? (j/n)"

    read ANSWER

    echo
    echo

    if [ $ANSWER == "j" ]; then
        echo svn ci -F $TMPFILE;
    else
        echo "Breche die Patch-Kette ab!"
        rm $TMPFILE
        exit
    fi
done

rm $TMPFILE
